Subject: Re: [Bitcoin-development] Punishing empty blocks?

From: Jeff Garzik <[email-masked]>
Date: Thu, 24 May 2012 17:00:42 -0400

On Thu, May 24, 2012 at 4:31 PM, Luke-Jr <[email-masked]> wrote:
> These are problematic for legitimate miners:
> 1) The freedom to reject transactions based on fees or spam filters, is
> severely restricted. As mentioned in other replies, this is an important point
> of Bitcoin's design.
> 1b) This punishes miners with superior transaction spam filtering. As with all
> spam filtering, it is often an "arms race" and therefore the filter rules must
> be kept private by the miners, and therefore cannot be disclosed for the
> validating clients to take into consideration.

This is simply not true given current available data, i.e. the current
blockchain and ongoing not-spam transaction rate/pool.

> The argument that these are not rule changes is flawed:
> 1) As of right now, 99% of the network runs a single client. Anything this
> client rejects does de facto become a rule change.

According to your own numbers even, this is not true.  99% of the
network runs a wide variety of rules and versions.  Even with a
"critical" security announcement, the percentage of those running the
latest version is not large.

> 2) Even if there were a diverse ecosystem of clients in place, discouragement
> rules that potentially affect legitimate miners significantly mess with the
> odds of finding a block.
> 3) If legitimate miners do not adopt counter-rules to bypass these new
> restrictions, the illegitimate miners are left with an even larger percentage
> of blocks found.

Miners are not the -only- ones that get a say in what is spam, and
what is not.  If miners are generating garbage, network users have the
right to veto that garbage.

-- 
Jeff Garzik
exMULTI, Inc.
[email-masked]